import React from 'react';
import type { ExplainPlanModalState } from '../stores/explain-plan-modal-store';
import type { CollectionTabPluginMetadata } from '@mongodb-js/compass-collection';
export type ExplainPlanModalProps = Partial<Pick<ExplainPlanModalState, 'isModalOpen' | 'status' | 'explainPlan' | 'rawExplainPlan' | 'error'>> & Pick<CollectionTabPluginMetadata, 'namespace' | 'isDataLake'> & {
    onModalClose(): void;
};
export declare const ExplainPlanModal: React.FunctionComponent<ExplainPlanModalProps>;
declare const ConnectedExplainPlanModal: import("react-redux").ConnectedComponent<React.FunctionComponent<ExplainPlanModalProps>, {
    namespace: string;
    isDataLake: boolean;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default ConnectedExplainPlanModal;
//# sourceMappingURL=explain-plan-modal.d.ts.map