import React from 'react';
import { type SerializedExplainPlan } from '../stores/explain-plan-modal-store';
type ExplainPlanSummaryProps = {
    docsReturned: number;
    docsExamined: number;
    executionTimeMs: number;
    sortedInMemory: boolean;
    indexKeysExamined: number;
    indexType: SerializedExplainPlan['indexType'];
    indexKeys: [string, unknown][];
    onCreateIndexInsightClick(): void;
};
export declare const ExplainPlanSummary: React.FunctionComponent<ExplainPlanSummaryProps>;
declare const _default: import("react-redux").ConnectedComponent<React.FunctionComponent<ExplainPlanSummaryProps>, {
    indexType: "COLLSCAN" | "UNAVAILABLE" | "MULTIPLE" | "COVERED" | "INDEX";
    docsExamined: number;
    docsReturned: number;
    executionTimeMs: number;
    sortedInMemory: boolean;
    indexKeysExamined: number;
    indexKeys: [string, unknown][];
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=explain-plan-side-summary.d.ts.map